### Constructor

# GWeather Location new_detached

#### Declaration [src]

    GWeatherLocation*
    gweather_location_new_detached (
      const char* name,
      const char* icao,
      double latitude,
      double longitude
    )

#### Description [src]

Construct a new location from the given data, supplementing any missing information from the static database.

#### Parameters

`name`

  Type: `const char*`

  The user visible location name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`icao`

  Type: `const char*`

  The ICAO code of the location.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`latitude`

  Type: `double`

  The latitude of the location.

`longitude`

  Type: `double`

  The longitude of the location.

#### Return value

Type: `GWeatherLocation`

The newly created detached location.

The caller of the function takes ownership of the data, and is responsible for freeing it.